Subject: Re: [PATCH v3 7/8] dt-bindings: net: phy: Add 10-baseT1L 2.4 Vpp

From: Oleksij Rempel <[email-masked]>
Date: Tue, 19 Oct 2021 07:48:30 +0200

On Mon, Oct 18, 2021 at 02:06:19PM -0500, Rob Herring wrote:
> On Mon, Oct 11, 2021 at 05:22:14PM +0300, [email-masked] wrote:
> > From: Alexandru Tachici <[email-masked]>
> > 
> > Add a tristate property to advertise desired transmit level.
> > 
> > If the device supports the 2.4 Vpp operating mode for 10BASE-T1L,
> > as defined in 802.3gc, and the 2.4 Vpp transmit voltage operation
> > is desired, property should be set to 1. This property is used
> > to select whether Auto-Negotiation advertises a request to
> > operate the 10BASE-T1L PHY in increased transmit level mode.
> > 
> > If property is set to 1, the PHY shall advertise a request
> > to operate the 10BASE-T1L PHY in increased transmit level mode.
> > If property is set to zero, the PHY shall not advertise
> > a request to operate the 10BASE-T1L PHY in increased transmit level mode.
> > 
> > Signed-off-by: Alexandru Tachici <[email-masked]>
> > ---
> >  Documentation/devicetree/bindings/net/ethernet-phy.yaml | 9 +++++++++
> >  1 file changed, 9 insertions(+)
> > 
> > diff --git a/Documentation/devicetree/bindings/net/ethernet-phy.yaml b/Documentation/devicetree/bindings/net/ethernet-phy.yaml
> > index 2766fe45bb98..2bb3a96612a2 100644
> > --- a/Documentation/devicetree/bindings/net/ethernet-phy.yaml
> > +++ b/Documentation/devicetree/bindings/net/ethernet-phy.yaml
> > @@ -77,6 +77,15 @@ properties:
> >      description:
> >        Maximum PHY supported speed in Mbits / seconds.
> >  
> > +  an-10base-t1l-2.4vpp:
> 
> What does 'an' mean?

I assume, it is for Auto Negotiate.

> > +    description: |
> > +      tristate, request/disable 2.4 Vpp operating mode. The values are:
> > +      0: Disable 2.4 Vpp operating mode.
> > +      1: Request 2.4 Vpp operating mode from link partner.
> > +      Absence of this property will leave configuration to default values.
> > +    $ref: "/schemas/types.yaml#/definitions/uint32"
> > +    enum: [0, 1]
> 
> What happened to this one doing the same thing?:
> 
> https://lore.kernel.org/lkml/[email-masked]/

This one was not really synced with the IEEE 802.3 standard. According
to the standard, there is optional 10base-t1l specific 2.4 Vpp operating mode.
To be able to operate in this mode, HW should be designed to do so.
And other way around, if HW is designed for explosive environment, it
should never operate in 2.4 Vpp mode.
So, depending on this property, the ability of the link-partner and user
space configuration, we may allow to auto negotiate this mode.

The question is, should it actually be called "an-", since this property
should limit automatic and manual link configuration

Regards,
Oleksij
-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |